%define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%define python_sitelib64 %(python_64 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

%global srcname distribute

Name:           python-setuptools
Version:        0.6.49
Release:        1
Summary:        Easily build and distribute Python packages
Group:          Applications/System
License:        Python or ZPLv2.0
URL:            http://pypi.python.org/pypi/%{srcname}
Source0:        http://pypi.python.org/packages/source/d/%{srcname}/%{srcname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  python-devel >= 2.6.2-2
Requires:       python >= 2.6.2-2

# Provide this since some people will request distribute by name
Provides: python-distribute = %{version}-%{release}

%define _libdir64 %{_prefix}/lib64

%description
Setuptools is a collection of enhancements to the Python distutils that allow
you to more easily build and distribute Python packages, especially ones that
have dependencies on other packages.

This package contains the runtime components of setuptools, necessary to
execute the software that requires pkg_resources.py.

This package contains the distribute fork of setuptools.


%prep
%setup -q -n %{srcname}-%{version}
find . -name '*.txt' | xargs chmod -x
find . -name '*.orig' -exec rm {} \;
mkdir ../32bit
mv * ../32bit
mv ../32bit .
mkdir 64bit
cp -r 32bit/* 64bit/


%build
cd 64bit
python_64 setup.py build

cd ../32bit
python setup.py build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

cd 64bit
python_64 setup.py install --skip-build --root ${RPM_BUILD_ROOT}
mv ${RPM_BUILD_ROOT}%{_libdir} ${RPM_BUILD_ROOT}%{_libdir64}

cd ../32bit
python setup.py install --skip-build --root ${RPM_BUILD_ROOT}

rm -rf ${RPM_BUILD_ROOT}%{python_sitelib}/setuptools/tests
rm -rf ${RPM_BUILD_ROOT}%{python_sitelib64}/setuptools/tests

find ${RPM_BUILD_ROOT}%{python_sitelib} -name '*.exe' | xargs rm -f
find ${RPM_BUILD_ROOT}%{python_sitelib64} -name '*.exe' | xargs rm -f

chmod +x ${RPM_BUILD_ROOT}%{python_sitelib}/setuptools/command/easy_install.py
chmod +x ${RPM_BUILD_ROOT}%{python_sitelib64}/setuptools/command/easy_install.py

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc 32bit/*.txt 32bit/docs
%{_bindir}/*
%{python_sitelib}/*
%{python_sitelib64}/*
/usr/bin/*


%changelog
* Mon Mar 30 2015 Michael Perzl <michael@perzl.org> - 0.6.49-1
- updated to version 0.6.49

* Thu Nov 17 2011 Michael Perzl <michael@perzl.org> - 0.6.24-1
- updated to version 0.6.24

* Mon Jan 17 2011 Michael Perzl <michael@perzl.org> - 0.6.14-1
- first version for AIX V5.1 and higher
